Subject: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Kenichi Handa <[email-masked]>
Date: Wed, 12 Jan 2011 15:22:14 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> > As we can toggle all entities, to be consistent, we must
> > have toggle buttons on all entities.  But, I think it
> > results in a little bit annoying display.  So, how about
> > making each content-type string (e.g. "text/plain",
> > "image/png" in tagline) a button instead of having "Toggle
> > show/hide" button?

> That would be okay, too, but since those buttons' visual appearance
> has no cue to the fact that they are buttons, we should either change
> their visual appearance, or maybe add some textual hint, like
> "[1:text/plain (RET to show/hide)]".

I've just committed several changes.  In it, I made the
tagline something like this (~~~~ indicate underlined part):

[1:text/plain Hide]
              ~~~~
[2:image/png Show Save:temp.png (XXkB)]
             ~~~~      ~~~~~~~~

and made the button label itself toggles between "Hide" and
"Show".

Another change is to bind tab and backtab simply to
forward-button and backward-button respectively because all
taglines has at least Hide or Show button now.

Please try this version for a while.  I'll update NEWS and
info when it is found that this version is good enough for
the next release.

By the way, I can't reproduce the incorrect setting of
buffer-file-coding-system.  Could you "recend" the
problematic mail, and let me know the subject line in
another mail so that I can identify that problematic mail.

---
Kenichi Handa
[email-masked]